# Generated from baze-1.1.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name baze

Name: rubygem-%{gem_name}
Version: 1.1.2
Release: 1%{?dist}
Summary: Base utilities for POSIX system
License: ISC
URL: https://github.com/pcarrier/baze
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel >= 1.2.0
BuildRequires: ruby
BuildArch: noarch

%description
Base utilities for POSIX system.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/primes
%{_bindir}/cols
%{_bindir}/json2yaml
%{_bindir}/urldecode
%{_bindir}/yaml2json
%{_bindir}/lecho
%{_bindir}/jsonflat
%{_bindir}/randmac
%{_bindir}/hex2ip
%{_bindir}/shost
%{_bindir}/suc
%{_bindir}/rrtmux
%{_bindir}/urlencode
%{_bindir}/ip2hex
%{_bindir}/shellescape
%{_bindir}/statistik
%{_bindir}/cupa
%{_bindir}/fixperms
%license %{gem_instdir}/COPYING
%{gem_instdir}/bin
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Mon Aug 23 2021 mockbuilder - 1.1.2-1
- Initial package
